<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{B310E00C-2DC4-4ECE-8DC3-14A43D27AE0D}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon>
    </ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>CommunityServer.Files</AssemblyName>
    <AssemblyOriginatorKeyFile>
    </AssemblyOriginatorKeyFile>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <RootNamespace>CommunityServer.Files</RootNamespace>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
    <StartupObject>
    </StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>bin\Debug\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>bin\Release\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>false</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>true</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="ComponentArt.Web.UI, Version=2006.1.1104.2, Culture=neutral, PublicKeyToken=9bc9f846553156bb, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\Framework2\ComponentArt.Web.UI.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System">
      <Name>System</Name>
    </Reference>
    <Reference Include="System.Data">
      <Name>System.Data</Name>
    </Reference>
    <Reference Include="System.Drawing">
      <Name>System.Drawing</Name>
    </Reference>
    <Reference Include="System.Web">
      <Name>System.Web</Name>
    </Reference>
    <Reference Include="System.Web.Services">
      <Name>System.Web.Services</Name>
    </Reference>
    <Reference Include="System.Xml">
      <Name>System.XML</Name>
    </Reference>
    <Reference Include="Telligent.Registration, Version=2.0.60118.0, Culture=neutral">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\Telligent.Registration.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Telligent.Web.UI, Version=1.0.3.0, Culture=neutral">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\Telligent.Web.UI.dll</HintPath>
    </Reference>
    <ProjectReference Include="..\Components\CommunityServerComponents20.csproj">
      <Name>CommunityServerComponents</Name>
      <Project>{A4BA7D45-2288-4690-9629-2A9C2A59DB98}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
    </ProjectReference>
    <ProjectReference Include="..\Controls\CommunityServerControls20.csproj">
      <Name>CommunityServerControls</Name>
      <Project>{BD519F7E-B97F-479B-9A71-254DAB9DAAF6}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssemblyVersionInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Entry.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\EntryComment.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\FileEmails.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\FileGalleryApplication.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\FileGalleryAttachmentSettings.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\FileGalleryConfiguration.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\FileGalleryPermission.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\FileGalleryResourceManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\FileGalleryThreadQuery.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\FileGalleryUrls.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Folder.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\InvalidFileException.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Modules\BaseFilesFormattedBodyModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Modules\CensorshipModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Modules\EmoticonModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Modules\FileEmailNotificationModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Modules\HtmlScrubbingModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Syndication\AggregateRssHandler.cs" />
    <Compile Include="Components\Syndication\AggregateRssWriter.cs" />
    <Compile Include="Components\Syndication\BaseFileGallerySyndicationHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Syndication\FileGalleryRssHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Syndication\FileGalleryRssWriter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Syndication\FileGalleryTagRssWriter.cs" />
    <Compile Include="Components\UserDownload.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\UserDownloadSet.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\AggregateList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\CategoryDetails.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\CategoryListing.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\CommentListing.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\CreateEditEntry.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\DeleteEntry.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Download.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\EntryDetails.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\EntryListing.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\FileGalleryImageButton.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\FolderDetails.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\FolderGroupListing.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\FolderGroupsListing.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\FolderListing.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\FolderTree.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Navigation\BreadCrumb.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Navigation\JumpDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Navigation\Title.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\RatingListing.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\TagBreadCrumb.cs" />
    <Compile Include="Controls\TagBrowser.cs" />
    <Compile Include="Controls\TagCloud.cs" />
    <Compile Include="Controls\UploadAttachment.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\CategoryCheckBoxList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\EntryRatePost.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\FileGalleryResourceControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\FileGalleryTemplatedWebControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\FileThumbnail.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\FolderRepeater.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\InlineTagEditor.cs" />
    <Compile Include="Controls\Utility\PagingControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\PortalEntryListing.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\ViewCategory.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\ViewEntry.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\ViewFolder.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\ViewFolderGroup.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\ViewFolderGroups.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Entries.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="EntryComments.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\EntriesSortBy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\EntryListType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\FileGalleryPostType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Enumerations\FolderCategoriesSortBy.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="FileGalleryEmails.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="FileGalleryPermissions.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Folders.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Moderate.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Providers\FileGalleryBrowseableList.cs" />
    <Compile Include="Providers\FileGalleryDataProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Services\FileGalleryService.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="UserDownloads.cs">
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>